<?
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Usuarios/usuarios.php");
include("Menu/menu_inicio.php");
include("soporte.php");
include("alter.php");
soporte();

class Ingreso{
	var $usuarioObj;
	var $conexionObj;
	var $menuObj;
	var $estado;
	function setUsuario($usuario, $password){
		$this->usuarioObj=new usuarios();
		$this->usuarioObj->setUsuario($usuario);
		$this->usuarioObj->setPassword($password);
	}
	function getUsuario(){
		return $this->usuarioObj;
	}
	function validar1($id_user,$id_sucursal){
		$this->menuObj=new menu_inicio();
		$this->menuObj->menu2($id_user,$id_sucursal);
	}
	function validar(){
		$this->conexionObj=new conexion();
		$this->conexionObj->conectarse();
		$rst_ingreso=$this->conexionObj->consultar("SELECT * FROM usuarios WHERE usuario='".$this->usuarioObj->getUsuario()."' AND password='".$this->usuarioObj->getPassword()."' AND estado='1'");
		if(mysql_num_rows($rst_ingreso)>=1){
			//echo "Usuario Existe";
			while($row_ingreso=mysql_fetch_array($rst_ingreso)){
				$id_user=$row_ingreso['id_usuario'];
				$id_sucursal=$row_ingreso['id_sucursal'];
				$usuario=$row_ingreso['usuario'];
				$perfil=$row_ingreso['id_perfil'];
				$id_cliente=$row_ingreso['id_cliente'];
			$area=$row_ingreso['area'];
			$zona=$row_ingreso['zona'];
				switch($perfil){
					case 0: $tipo_usuario = "Super Administrador"; break;
					case 1: $tipo_usuario = "Administrador"; break;
					case 2: $tipo_usuario = "Gerencia"; break;
					case 3: $tipo_usuario = "Operaciones"; break;
					case 4: $tipo_usuario = "Servicio Cliente"; break;
					case 5: $tipo_usuario = "Contacto"; break;
				}

                                $_SESSION['nombre_usuario']=$row_ingreso['nombre'];
                                $_SESSION['perfil_usuario'] = $tipo_usuario;
				$_SESSION['validar']=$usuario;
				$_SESSION['cliente']=$id_cliente;
                $_SESSION['perfil']=$perfil;
                $_SESSION['id_user']=$id_user;
		$_SESSION['area']=$area;
		//echo $area;
		$_SESSION['zona']=$zona;
				$rst_cliente=$this->conexionObj->consultar("SELECT * FROM clientes WHERE id_cliente='".$id_cliente."'");
				$row_cliente=mysql_fetch_array($rst_cliente);
				$_SESSION['nombre_cliente']=$row_cliente['nombre'];
                                encabezado($target);
				$this->validar1($id_user,$id_sucursal);
                                
                                
			}
			                        
                        echo"</td>";

			echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
			$nombrepagina = "WEBSIM GAMMA";
			mostrar_cabeza_trabajo($nombrepagina);

			echo"<CENTER>";
			echo"<TABLE width=60% border=0>";
			echo"<TR>";
			echo"<TD width=50%>";
			  ?>
			  <img src='imagenes/bg_gamm.jpg' width="454" alt="" /></div>
			  <? echo "</TD>";
			  echo"</TR>";
			  echo"</TABLE>";
			  echo"</CENTER>";
			  mostrar_pie();
			  echo"</td>";
			  echo"</tr>";
			  echo"</table>";
			  echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
			  echo"<tbody><tr>";
			  echo"<td></td>";
			  echo"</tr>";
			  echo"<tr>";
			  echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
			  echo"</tr>";
			  echo"<tr>";
?>
	 <td>
	  <center>
	  <? pie_de_pagina();?></div>
	  </center>
	 </td>
	<?php
	echo"</tr>";
	echo"</tbody></table>";

	echo"</center>";
	echo"</body>";
   echo"</html>";?>
<?
		}else{
			$msgBOX = "El Usuario No Existe.";
			?>
		<script>
		setTimeout("location.href='index.php'", 100);
		alert('<?php echo $msgBOX;?>');
		</script>
			<?
		}
	}
}

$ingresoUsuarioObj=new Ingreso();
$ingresoUsuarioObj->setUsuario($_POST['usuario'],$_POST['password']);
$ingresoUsuarioObj->validar();


?>
